Bug 481734 - Review Request: python-EnvisagePlugins - Plug-ins for the Envisage framework
Review Request: python-EnvisagePlugins - Plug-ins for the Envisage framework
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On: 481725 481727
Blocks: 482216
  Show dependency treegraph
 
Reported: 2009-01-27 07:54 EST by Rakesh Pandit
Modified: 2009-07-03 15:52 EDT (History)
3 users (show)

See Also:
Fixed In Version: 3.1.0-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-09 01:26:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rakesh Pandit 2009-01-27 07:54:51 EST
Description:
The EnvisagePlugins project includes a number of plug-ins for the
Envisage framework that Enthought has found useful for building
scientific applications.

SPEC: http://rakesh.fedorapeople.org/spec/python-EnvisagePlugins.spec
SRPM: http://rakesh.fedorapeople.org/srpm/python-EnvisagePlugins-3.0.1-1.fc10.src.rpm

Need for Mayavi
Comment 1 Parag AN(पराग) 2009-06-08 07:19:33 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1398881
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
bca0c184cc3021e25b90320f53c19af3e7f4e5b2  EnvisagePlugins-3.0.1.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Not a GUI application

Suggestions:
1: you should use %global over %define

APPROVED.
Comment 2 Rakesh Pandit 2009-06-08 07:25:50 EDT
Thanks,

New Package CVS Request
=======================
Package Name: python-EnvisagePlugins
Short Description: Plug-ins for the Envisage framework
Owners: rakesh
Branches: F-9 F-10 F-11
InitialCC:
Comment 3 Jason Tibbitts 2009-06-08 12:33:21 EDT
CVS done.
Comment 4 Fedora Update System 2009-06-09 01:24:08 EDT
python-EnvisagePlugins-3.0.1-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/python-EnvisagePlugins-3.0.1-1.fc9
Comment 5 Fedora Update System 2009-06-09 01:25:16 EDT
python-EnvisagePlugins-3.0.1-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/python-EnvisagePlugins-3.0.1-1.fc10
Comment 6 Fedora Update System 2009-06-09 01:26:09 EDT
python-EnvisagePlugins-3.0.1-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/python-EnvisagePlugins-3.0.1-1.fc11
Comment 7 Fedora Update System 2009-07-03 15:40:42 EDT
python-EnvisagePlugins-3.1.0-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2009-07-03 15:51:10 EDT
python-EnvisagePlugins-3.1.0-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2009-07-03 15:52:31 EDT
python-EnvisagePlugins-3.1.0-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.